
/* demo_key.h: Sony Demo Key Driver.
 *
 * Copyright 2017 Sony Corporation.
 * Author: Sony Corporation.
 *
 * This package is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _DEMO_KEY_H_
#define _DEMO_KEY_H_

#include <linux/types.h>

/* Key value */
#define DEMO_KEY_VALUE_UP               ((__s32)0)
#define DEMO_KEY_VALUE_DOWN             ((__s32)1)


/* AD key data */
struct dmkey_akeydata {
	u32 min;            /* min      */
	u32 max;            /* max      */
	u32 key_code;       /* key code */
};

#endif /* _DEMO_KEY_H_ */
